ISortedColumns.Factory (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Interface ISortedColumns.Factory

Enclosing interface:
  ISortedColumns

    public static interface ISortedColumns.Factory

Method Summary
`ISortedColumns` | `create(AbstractType<?> comparator, boolean insertReversed)` Returns a (initially empty) column map whose columns are sorted according to the provided comparator.
`ISortedColumns` | `fromSorted(java.util.SortedMap<java.nio.ByteBuffer,IColumn> sm, boolean insertReversed)` Returns a column map whose columns are sorted according to the comparator of the provided sorted map (which thus, is assumed to _not_ be sorted by natural order) and that initially contains the columns in the provided sorted map.

Method Detail

### create

    ISortedColumns create(AbstractType<?> comparator,
                          boolean insertReversed)

  Returns a (initially empty) column map whose columns are sorted according to the provided comparator. The `insertReversed` flag is an hint on how we expect insertion to be perfomed, either in sorted or reverse sorted order. This is used by ArrayBackedSortedColumns to allow optimizing for both forward and reversed slices. This does not matter for ThreadSafeSortedColumns. Note that this is only an hint on how we expect to do insertion, this does not change the map sorting.

### fromSorted

    ISortedColumns fromSorted(java.util.SortedMap<java.nio.ByteBuffer,IColumn> sm,
                              boolean insertReversed)

  Returns a column map whose columns are sorted according to the comparator of the provided sorted map (which thus, is assumed to _not_ be sorted by natural order) and that initially contains the columns in the provided sorted map. See `create` for the description of `insertReversed`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation